cURL
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/alert-history' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
-H 'content-type: application/json' \
--compressedimport requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/alert-history"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/alert-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert_logs": [
{
"alert_id": "daa13590-eda0-4996-a80b-1a43c8006084",
"tx_hash": "0xe8fc4061ddb9aa3b0f9a648967c2affbfaafd77537aee2333745d71dc3f7bbfe",
"network_id": "1",
"delivery_channel_id": "b16b4b75-e034-44c9-a053-f10d769a1d64",
"checked_at": "2023-12-13T00:02:17.967345Z",
"is_test": false
},
{
"alert_id": "daa13590-eda0-4996-a80b-1a43c8006084",
"tx_hash": "0xde33cf01f3cac8a4cb5a6ade07cb0af3279383cf601daae3622cacba5919f4a3",
"network_id": "1",
"delivery_channel_id": "f48f1f9f-1f74-4849-81cf-fce8bd3746b7",
"checked_at": "2023-12-13T00:01:17.513806Z",
"is_test": false
},
{
"alert_id": "daa13590-eda0-4996-a80b-1a43c8006084",
"tx_hash": "0xeb22a8b76c48c912d662bffef2272e9a6413ddbe6da541c84a51c249f04ffaf9",
"network_id": "1",
"delivery_channel_id": "f48f1f9f-1f74-4849-81cf-fce8bd3746b7",
"checked_at": "2023-12-12T23:50:55.341358Z",
"is_test": true
}
]
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Alerts
Get Alert History
Retrieve the execution history for all Alerts in a Tenderly project.
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
alert-history
cURL
curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/alert-history' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
-H 'content-type: application/json' \
--compressedimport requests
url = "https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/alert-history"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/alert-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alert_logs": [
{
"alert_id": "daa13590-eda0-4996-a80b-1a43c8006084",
"tx_hash": "0xe8fc4061ddb9aa3b0f9a648967c2affbfaafd77537aee2333745d71dc3f7bbfe",
"network_id": "1",
"delivery_channel_id": "b16b4b75-e034-44c9-a053-f10d769a1d64",
"checked_at": "2023-12-13T00:02:17.967345Z",
"is_test": false
},
{
"alert_id": "daa13590-eda0-4996-a80b-1a43c8006084",
"tx_hash": "0xde33cf01f3cac8a4cb5a6ade07cb0af3279383cf601daae3622cacba5919f4a3",
"network_id": "1",
"delivery_channel_id": "f48f1f9f-1f74-4849-81cf-fce8bd3746b7",
"checked_at": "2023-12-13T00:01:17.513806Z",
"is_test": false
},
{
"alert_id": "daa13590-eda0-4996-a80b-1a43c8006084",
"tx_hash": "0xeb22a8b76c48c912d662bffef2272e9a6413ddbe6da541c84a51c249f04ffaf9",
"network_id": "1",
"delivery_channel_id": "f48f1f9f-1f74-4849-81cf-fce8bd3746b7",
"checked_at": "2023-12-12T23:50:55.341358Z",
"is_test": true
}
]
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "bad_request",
"message": "Bad request input parameters"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "unauthorized",
"message": "Unauthorized"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "insufficient_permissions",
"message": "Insufficient permissions"
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Account slug of the user
Project slug of the account
Query Parameters
The page number
Required range:
x >= 1The number of items to return per page
Required range:
1 <= x <= 100Response
A successful response.
An object with details about alert execution history.
Show child attributes
Show child attributes
Was this page helpful?
⌘I